Overview
GET
/chat/conversations/{id}chatGet a conversation with its messages
Fetch a record from conversations by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
Conversation + messages
- conversationChatConversation
- messagesChatMessage[]
Example
{
"conversation": {
"id": "string",
"title": "string",
"model": "string",
"personaSlug": "string",
"createdAt": "string",
"updatedAt": "string"
},
"messages": [
{
"id": "string",
"role": "string",
"content": "string",
"toolName": "string",
"createdAt": "string"
}
]
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/chat/conversations/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/conversations/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();